> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payout Methods

> Get a user's connected payout methods.



## OpenAPI

````yaml /v2.yaml get /v2/users/{user_id}/payout-methods
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/users/{user_id}/payout-methods:
    parameters:
      - schema:
          type: string
          format: uuid
        name: user_id
        in: path
        required: true
        description: Id of the user to fetch
    get:
      tags:
        - users
      summary: List Payout Methods
      description: Get a user's connected payout methods.
      operationId: get-payout-methods
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                description: Array of payout methods registered to the user.
                items:
                  $ref: '#/components/schemas/payment-method'
components:
  schemas:
    payment-method:
      type: object
      properties:
        id:
          type: string
          description: ID of the `payment-method`.
        platform:
          enum:
            - ach
            - paypal
            - venmo
            - cash_app
            - intl_transfer
            - airtm
            - payoneer
          type: string
        description:
          type: string
        mask:
          type: string
        email:
          type: string
        phone_number:
          type: string
        cash_tag:
          type: string
        country:
          type: string
          format: iso3166
        currency:
          type: string
          format: iso4217
        rtp_enabled:
          type: boolean
          description: >-
            Indicates if RTP is enabled for the payment method (applies to ach
            only).
        meta:
          description: >-
            Optional metadata for the payout method. Can be any valid JSON value
            (object, string, number, boolean, array, or null).
      required:
        - platform
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````